import { IDisposable } from '@kano/common/index.js';
/**
 * A contribution management utility class
 * Define a type and register items using this class
 */
export declare class ContributionManager<T> {
    private contributions;
    register(id: string, item: T): IDisposable;
    get(id: string): T | undefined;
    dispose(): void;
}
